#!/usr/bin/env node
'use strict';

var pkg = require('../../package.json');
var program = require('commander');

var main = require('../lib/main');

program.version(pkg.version).option('-u, --username <username>', 'Robinhood login username').option('-p, --password <password>', 'Robinhood login password').option('-o, --output <file>', 'output filename (default: stdout)').parse(process.argv);

var username = program.username;
var password = program.password;
var output = program.output;


module.exports = main.login({ username: username, password: password }).then(main.getOrders).then(main.getSymbols).then(main.getExecutions).then(main.convertToCsv).then(function (result) {
  return main.printCsv(result, output);
}).catch(function (err) {
  console.error(err); // eslint-disable-line no-console
  process.exit(1);
});