'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var axios = require('axios');

var API = function () {
  function API() {
    _classCallCheck(this, API);

    this.api = axios.create({ baseURL: 'https://api.robinhood.com/' });
  }

  _createClass(API, [{
    key: 'login',
    value: function login(auth) {
      var _this = this;

      return this.api.post('api-token-auth/', auth, { headers: { authorization: null } }).then(function (response) {
        Object.assign(_this.api.defaults, { headers: { authorization: 'Token ' + response.data.token } });
        return response.data;
      });
    }
  }, {
    key: 'loggedIn',
    value: function loggedIn() {
      if (this.api.defaults.headers && this.api.defaults.headers.authorization) {
        return true;
      }
      return false;
    }
  }, {
    key: 'orders',
    value: function orders() {
      var cursor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

      return this.api.get('orders/', { params: { cursor: cursor } }).then(function (response) {
        return response.data;
      });
    }
  }, {
    key: 'instrument',
    value: function instrument(instrumentHash) {
      return this.api.get('instruments/' + instrumentHash).then(function (response) {
        return response.data;
      });
    }
  }]);

  return API;
}();

module.exports = API;